\name{getArrayDesign}
\alias{getArrayDesign}

\title{Get arrayDesign object}

\description{
This function parses the ArrayDesign package and returns an arrayDesign object.}

\usage{getArrayDesign(file = "", datadir = "")}

\arguments{
\item{file}{XML document containing the DesignElement package.}
\item{datadir}{The directory where XML file resides.}
}

\references{Spellman PT, Miller M, Stewart J, Troup C, Sarkans U, Chervitz S, Bernhart D, Sherlock G, Ball C, Lepage M, Swiatek M, Marks WL, Goncalves J, Markel S, Iordan D, Shojatalab M, Pizarro A, White J, Hubley R, Deutsch E, Senger M, Aronow BJ, Robinson A, Bassett D, Stoeckert CJ Jr and Brazma A.
Design and implementation of microarray gene expression markup language (MAGE-ML).
Genome Biol. 2002 Aug 23;3(9):RESEARCH0046.
}
\author{Joke Allemeersch, \url{http://www.esat.kuleuven.ac.be/~jallemee}\cr
Steffen Durinck, \url{http://www.esat.kuleuven.ac.be/~sdurinck}.}

\seealso{arrayDesign}
\value{List of three lists, called "location", "feature" and "zone".}
\examples{
data <- system.file("data", package="MAGEML")
getArrayDesign(file="Iron.xml",datadir=data)
}
\keyword{}
