\name{getBioAssayData}
\alias{getBioAssayData}
\title{Get bioAssayData object}

\description{
This function parses the BioAssayData package and returns an bioAssayData object which contains a slot with  assayed feature references and a slot with the used array design.}

\usage{getBioAssayData(file = "", datadir = "")}

\arguments{
\item{file}{XML document containing the DesignElement package.}
\item{datadir}{Directory where the XML file resides.}
}

\references{Spellman PT, Miller M, Stewart J, Troup C, Sarkans U, Chervitz S, Bernhart D, Sherlock G, Ball C, Lepage M, Swiatek M, Marks WL, Goncalves J, Markel S, Iordan D, Shojatalab M, Pizarro A, White J, Hubley R, Deutsch E, Senger M, Aronow BJ, Robinson A, Bassett D, Stoeckert CJ Jr and Brazma A. 
Design and implementation of microarray gene expression markup language (MAGE-ML).
Genome Biol. 2002 Aug 23;3(9):RESEARCH0046.}

\author{Joke Allemeersch, \url{http://www.esat.kuleuven.ac.be/~jallemee}\cr
Steffen Durinck, \url{http://www.esat.kuleuven.ac.be/~sdurinck}.}

\value{BioAssayData object containing the assayed feature references and array design used in BioAssay.}

\seealso{bioAssayData}

\examples{
data <- system.file("data", package="MAGEML")
getBioAssayData(file="Iron.xml",datadir=data)
}
\keyword{}
