\name{magePackageDetector}
\alias{magePackageDetector}

\title{Find MAGE-ML packages in xml files}

\description{To reduce the size of xml documents it is possible that one splits one MAGE-ML documents into smaller documents, each containing some of the packages. To be able to construct BioConductor objects with the MAGEML library, one needs to specifiy in which files the needed packages reside. This function is handy to find out which MAGE-ML packages are in which xml files.}

\usage{magePackageDetector(fnames = "", datadir = ".")}

\arguments{
\item{fnames}{List of filenames that belong to the same experiment}
\item{datadir}{The directory where XML file resides.}
}

\references{Spellman PT, Miller M, Stewart J, Troup C, Sarkans U, Chervitz S, Bernhart D, Sherlock G, Ball C, Lepage M, Swiatek M, Marks WL, Goncalves J, Markel S, Iordan D, Shojatalab M, Pizarro A, White J, Hubley R, Deutsch E, Senger M, Aronow BJ, Robinson A, Bassett D, Stoeckert CJ Jr and Brazma A.
Design and implementation of microarray gene expression markup language (MAGE-ML).
Genome Biol. 2002 Aug 23;3(9):RESEARCH0046.}
\author{Joke Allemeersch, \url{http://www.esat.kuleuven.ac.be/~jallemee}\cr Steffen Durinck, \url{http://www.esat.kuleuven.ac.be/~sdurinck}.}

\seealso{readMageRaw, readMageDesign}
\value{Prints out the filename and MAGE-ML packages present in that file}
\examples{
data <- system.file("data", package="MAGEML")
magePackageDetector(fnames=list("A-MEXP-5.xml", "E-MEXP-5.xml"),datadir=data)
}
\keyword{}

