\name{readMageDesign}
\alias{readMageDesign}
\alias{widget.readMageDesign}

\title{Wrapper function for reading MAGE-ML documents}
\description{
The function \code{readMageDesign} is a wrapper function for reading MAGE-ML documents. It returns objects of the classes  \code{\link{marrayLayout}} and \code{\link{marrayInfo}}.
}

\usage{
readMageDesign(file = NULL, datadir = ".",  fArrayDesign = NULL, fBioAssayData = NULL, fDesignElement = NULL, fBioSequence = NULL, ngc=4, skip=0, sep="\t",quote="",...)

widget.readMageDesign(skip=0, sep="\t",quote="",...)
}

\arguments{
  \item{fArrayDesign}{Filename of XML document containing the ArrayDesign package.}
  \item{fBioAssayData}{Filename of XML document containing the BioAssayData package.}
  \item{fDesignElement}{Filename of XML document containing the DesignElement package.}
  \item{fBioSequence}{Filename of XML document containing the BioSequence package.}
  \item{file}{Filename of XML document when the ArrayDesign, BioassayData and DesignElement package are all in one XML file.}
  \item{datadir}{Directory containing the XML document}
  \item{ngc}{The number of grid columns on your array; the default is 4.}
  \item{...}{Further arguments for the `scan' function}
  \item{skip}{Further arguments for the `scan' function}
  \item{quote}{Further arguments for the `scan' function}
  \item{sep}{Further arguments for the `scan' function}
}

\details{
This function executes an event based XML parsing.  Depending on whether the ArrayDesign, BioAssayData and DesignElement package are in one file or not, three different files will be parsed or only one.
}

\value{
A marrayLayout an a marrayInfo object, named layout and info.
}

\references{Spellman PT, Miller M, Stewart J, Troup C, Sarkans U, Chervitz S, Bernhart D, Sherlock G, Ball C, Lepage M, Swiatek M, Marks WL, Goncalves J, Markel S, Iordan D, Shojatalab M, Pizarro A, White J, Hubley R, Deutsch E, Senger M, Aronow BJ, Robinson A, Bassett D, Stoeckert CJ Jr and Brazma A.
Design and implementation of microarray gene expression markup language (MAGE-ML).
Genome Biol. 2002 Aug 23;3(9):RESEARCH0046.

}

\author{Joke Allemeersch, \url{http://www.esat.kuleuven.ac.be/~jallemee}\cr
Steffen Durinck, \url{http://www.esat.kuleuven.ac.be/~sdurinck}.}

\seealso{\code{\link{getBioAssayData}}, \code{\link{getDesignElement}},\code{\link{getArrayDesign}}.}

\examples{
data <- system.file("data", package="MAGEML")
readMageDesign(file = "Iron.xml", datadir = data)
#To call the widget, you use:
if(interactive()){
widget.readMageDesign()
}
}
\keyword{}% at least one, from doc/KEYWORDS

