\name{readMageRaw}
\alias{readMageRaw}
\alias{widget.readMageRaw}
\title{Creation of marrayRaw object}
\description{
This function creates a marrayRaw object by using the maLayout and maInfo available from readMageDesign and the raw data file.
}
\usage{
readMageRaw(fname, datadir = ".", name.Gf = "", name.Gb ="", name.Rf =
"", name.Rb="", name.W=NULL, layout = NULL, gnames = NULL, notes=NULL, skip=0, sep="\t",quote="",\ldots)
}

\arguments{
  \item{fname}{File name of file which contains the BioAssayData package}
  \item{datadir}{Directory where the files reside}
  \item{name.Gf}{Name of green foreground channel}
  \item{name.Gb}{Name of green background channel}
  \item{name.Rf}{Name of red foreground channel}
  \item{name.Rb}{Name of red background channel}
  \item{name.W}{Name of weights}
  \item{notes}{object of class character, vector of explanatory text}
  \item{layout}{The name of the marnotes=NULLrayLayout object that describes the layout of your experiment (made with readMageDesign).}
  \item{gnames}{The name of the marrayInfo object that describes the genes of your experiment (made with readMageDesign).}
  \item{...}{Further arguments for the `scan' function}
  \item{skip}{Further arguments for the `scan' function}
  \item{quote}{Further arguments for the `scan' function}
  \item{sep}{Further arguments for the `scan' function}
}

\references{Spellman PT, Miller M, Stewart J, Troup C, Sarkans U, Chervitz S, Bernhart D, Sherlock G, Ball C, Lepage M, Swiatek M, Marks WL, Goncalves J, Markel S, Iordan D, Shojatalab M, Pizarro A, White J, Hubley R, Deutsch E, Senger M, Aronow BJ, Robinson A, Bassett D, Stoeckert CJ Jr and Brazma A.
Design and implementation of microarray gene expression markup language (MAGE-ML).
Genome Biol. 2002 Aug 23;3(9):RESEARCH0046.
}

\author{Joke Allemeersch, \url{http://www.esat.kuleuven.ac.be/~jallemee}\cr 
Steffen Durinck, \url{http://www.esat.kuleuven.ac.be/~sdurinck}.}

\seealso{\code{\link{showQuantitationTypes}},\code{\link{readMageDesign}}}

\examples{
data<-system.file("data", package="MAGEML")
#To obtain list of available quantitation types.#
showQuantitationTypes("Iron.xml",datadir=data)
readMageRaw(fname="Iron.xml",datadir=data,name.Gf="ch1vol",name.Rf="ch2vol",name.Rb="ch2bgmedian",name.Gb="ch1bgmedian")
if(interactive()){
widget.readMageRaw()
}
}
\keyword{methods}
